Package org.drinkless.tdlib

# Class TdApi.GetLiveStoryTopDonors

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.LiveStoryDonors>
org.drinkless.tdlib.TdApi.GetLiveStoryTopDonors

Enclosing class:
  `TdApi`

public static class TdApi.GetLiveStoryTopDonors extends TdApi.Function<TdApi.LiveStoryDonors>
Returns the list of top live story donors.

Returns `LiveStoryDonors`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `groupCallId`
  Group call identifier of the live story.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetLiveStoryTopDonors()`
  Default constructor for a function, which returns the list of top live story donors.
  `GetLiveStoryTopDonors(int groupCallId)`
  Creates a function, which returns the list of top live story donors.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Group call identifier of the live story.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetLiveStoryTopDonors

    public GetLiveStoryTopDonors()
    Default constructor for a function, which returns the list of top live story donors.

    Returns `LiveStoryDonors`

  - ### GetLiveStoryTopDonors

    public GetLiveStoryTopDonors(int groupCallId)
    Creates a function, which returns the list of top live story donors.

    Returns `LiveStoryDonors`

    Parameters:
      `groupCallId` - Group call identifier of the live story.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.LiveStoryDonors>`
    Returns:
      this.CONSTRUCTOR